> ## Documentation Index
> Fetch the complete documentation index at: https://docs.telli.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Contact Properties

> Returns all contact properties for the authenticated account.



## OpenAPI

````yaml openapi-v2.json GET /v2/properties/contacts
openapi: 3.1.1
info:
  title: telli API
  version: 2.0.0
  description: telli V2 API
servers:
  - url: https://api.telli.com
    description: prod
security:
  - BearerAuth: []
paths:
  /v2/properties/contacts:
    get:
      summary: List contact properties
      description: Returns all contact properties for the authenticated account.
      operationId: contactProperties.listContactProperties
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  type:
                    const: ContactPropertyList
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        type:
                          const: ContactProperty
                        key:
                          type: string
                          minLength: 1
                          maxLength: 64
                          pattern: ^[a-zA-Z0-9][a-zA-Z0-9_-]*$
                        dataType:
                          enum:
                            - string
                            - number
                            - boolean
                            - date
                            - datetime
                            - select
                            - multi_select
                            - phone_number
                            - email
                        source:
                          enum:
                            - system
                            - user
                            - integration
                        label:
                          type: string
                        description:
                          type: string
                        options:
                          type: array
                          items:
                            type: object
                            properties:
                              value:
                                type: string
                              label:
                                type: string
                              description:
                                type: string
                            required:
                              - value
                              - label
                          description: >-
                            Only applicable for select and multi_select data
                            types
                        createdAt:
                          type: string
                          format: date-time
                        updatedAt:
                          type: string
                          format: date-time
                      required:
                        - type
                        - key
                        - dataType
                        - source
                        - label
                        - createdAt
                        - updatedAt
                required:
                  - type
                  - data
        '401':
          description: '401'
          content:
            application/json:
              schema:
                oneOf:
                  - type: object
                    properties:
                      defined:
                        const: true
                      code:
                        const: UNAUTHORIZED
                      status:
                        const: 401
                      message:
                        type: string
                        default: API key is missing or invalid
                      data: {}
                    required:
                      - defined
                      - code
                      - status
                      - message
                  - type: object
                    properties:
                      defined:
                        const: false
                      code:
                        type: string
                      status:
                        type: number
                      message:
                        type: string
                      data: {}
                    required:
                      - defined
                      - code
                      - status
                      - message
      security:
        - BearerAuth: []
components:
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      description: API key authentication. Use your telli API key as the bearer token.

````